Update an existing template by name in a tenant.
template_name, tenant_id and template_fields to update are required.
PUT /users/templates/{templateName}
Operation id: UserMappingTemplateService_UpdateUserTemplate
Description
Permission Level: Read-Write
Tags: UserMappingTemplateService
Parameters
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
templateName | string | Yes | The template name, Required = true |
Security
- Authorization (apiKey)
- Bearer token
Responses
200 — A successful response.
Content type: application/json
default — An unexpected error response.
Content type: application/json
Request body
Required: Yes
application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
tenantId | string | No | |
templateFields | array | No | List of user fields, Required = true Users cannot leave the template fields empty, but they can update them. One column must be userId. If the input is empty, the existing template_fields data will be retained. |
csvSeparator | string | No | |
isHeaderDefined | boolean | No | |
friendlyName | string | No | |
updateFieldMask | string | No |
{
"type": "object",
"properties": {
"tenantId": {
"type": "string"
},
"templateFields": {
"type": "array",
"description": "List of user fields, Required = true\nUsers cannot leave the template fields empty, but they can update them. One column must be userId.\nIf the input is empty, the existing template_fields data will be retained.",
"items": {
"type": "object",
"properties": {
"columnNumber": {
"type": "integer",
"format": "int32"
},
"name": {
"type": "string"
},
"scope": {
"type": "string"
},
"domain": {
"type": "string"
},
"separator": {
"type": "string",
"description": "The column contains multiple values separated by this sequence. Required = false."
},
"workspaceType": {
"type": "string"
},
"isSite": {
"type": "boolean"
},
"isRole": {
"type": "boolean"
},
"isLicensed": {
"type": "boolean"
},
"isPrimarySite": {
"type": "boolean"
},
"isSelectedDepartments": {
"type": "boolean"
},
"isContactNumber": {
"type": "boolean"
},
"isFirstSiteMapping": {
"type": "boolean"
},
"headerName": {
"type": "string"
}
}
}
},
"csvSeparator": {
"type": "string"
},
"isHeaderDefined": {
"type": "boolean"
},
"friendlyName": {
"type": "string"
},
"updateFieldMask": {
"type": "string"
}
}
}
Response models
200 — A successful response.
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
tenantId | string | No | |
templateName | string | No | |
templateFields | array | No | |
creationTime | string (date-time) | No | |
csvSeparator | string | No | |
isHeaderDefined | boolean | No | |
friendlyName | string | No |
{
"type": "object",
"properties": {
"tenantId": {
"type": "string"
},
"templateName": {
"type": "string"
},
"templateFields": {
"type": "array",
"items": {
"type": "object",
"properties": {
"columnNumber": {
"type": "integer",
"format": "int32"
},
"name": {
"type": "string"
},
"scope": {
"type": "string"
},
"domain": {
"type": "string"
},
"separator": {
"type": "string",
"description": "The column contains multiple values separated by this sequence. Required = false."
},
"workspaceType": {
"type": "string"
},
"isSite": {
"type": "boolean"
},
"isRole": {
"type": "boolean"
},
"isLicensed": {
"type": "boolean"
},
"isPrimarySite": {
"type": "boolean"
},
"isSelectedDepartments": {
"type": "boolean"
},
"isContactNumber": {
"type": "boolean"
},
"isFirstSiteMapping": {
"type": "boolean"
},
"headerName": {
"type": "string"
}
}
}
},
"creationTime": {
"type": "string",
"format": "date-time"
},
"csvSeparator": {
"type": "string"
},
"isHeaderDefined": {
"type": "boolean"
},
"friendlyName": {
"type": "string"
}
}
}
default — An unexpected error response.
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
code | integer (int32) | No | |
message | string | No | |
details | array | No |
{
"type": "object",
"properties": {
"code": {
"type": "integer",
"format": "int32"
},
"message": {
"type": "string"
},
"details": {
"type": "array",
"items": {
"type": "object",
"properties": {
"@type": {
"type": "string"
}
}
}
}
}
}